net.sf.jasperreports.data.cache

## Class StandardColumnCacheData

- java.lang.Object
- - net.sf.jasperreports.data.cache.StandardColumnCacheData

- All Implemented Interfaces:
    java.io.Serializable, ColumnCacheData

      public class StandardColumnCacheData
      extends java.lang.Object
      implements java.io.Serializable, ColumnCacheData

  Version:
    $Id: StandardColumnCacheData.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardColumnCacheData(java.lang.String[] fieldNames, int size, ColumnValues[] values, java.util.LinkedHashMap<java.lang.String,java.lang.Object> parameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexedDataSource` | `createDataSource()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()`
    `boolean` | `isSerializable()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardColumnCacheData

          public StandardColumnCacheData(java.lang.String[] fieldNames,
                                 int size,
                                 ColumnValues[] values,
                                 java.util.LinkedHashMap<java.lang.String,java.lang.Object> parameters)

  - ### Method Detail

    - #### isSerializable

          public boolean isSerializable()

      Specified by:
        `isSerializable` in interface `ColumnCacheData`

    - #### createDataSource

          public IndexedDataSource createDataSource()

      Specified by:
        `createDataSource` in interface `ColumnCacheData`

    - #### size

          public int size()

      Specified by:
        `size` in interface `ColumnCacheData`

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.Object> getParameters()

      Specified by:
        `getParameters` in interface `ColumnCacheData`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com